; $Id: dcs_getangles.pro,v 1.7 2002/10/16 15:44:00 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro dcs_getangles,nhedet=nhedet,angles,banks,azim_angles
;************************************************************************************************
;
compile_opt strictarr
;
inputfile=file_which("dcs_DetPos2.dat",/include_current_dir)
;
openr,unit,inputfile,/get_lun
;
content=strarr(nhedet+1)
readf,unit,content
;
free_lun,unit
;
pos=strpos(content[1:nhedet]," ",/reverse_search)
angles=fltarr(nhedet)
banks=intarr(nhedet)
azim_angles=fltarr(nhedet)
;
hgt=531.0
rad=4000.0
for k=0,nhedet-1 do begin
	angles[k]=float(strmid(content[k+1],pos[k]))
	x=strsplit(content[k+1],/extract)
	banks[k]=fix(x[6])
	angles[k]=float(x[8])
	case banks[k] of
		0: azim_angles[k]=0.0
		else: azim_angles[k]=banks[k]*!radeg*asin(hgt/(rad*sin(angles[k]*!dtor)))
	endcase
	azim_angles[k]=azim_angles[k]+180.0*(angles[k] lt 1)
endfor
;
end
