; $Id: dcs_getctinfo.pro,v 1.3 2002/07/13 20:14:57 john Exp $
;************************************************************************************************
function dcs_getctinfo,index
;************************************************************************************************
; Gets current color table information.
; If called with getctinfo() or getctinfo(n) with n<0 it returns a 256x3 array.
; If called with getctinfo(n) where 0 <= n <= 255, it returns a 3-vector.
; Otherwise it returns 999 (error value).
;
compile_opt strictarr
;
tvlct,r,g,b,/get
if (n_params() eq 0) then return,[[r],[g],[b]]
if (n_params() eq 1 and index ge 0 and index le 255) then $
	return,[r[index],g[index],b[index]]
return,999
end